#!/bin/bash
# Script to run populate rootfs step

# Warning: changing the utils.sh script currently do not invalidate the task...

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_buildstep_prepend

basedir=$(dirname "$0")
PKG_INSTALL_LOC="$ROOTFS_LOC"
tempDir=/tmp/populate-rootfs-$package_name.$$

require_script "packaging_utils.sh"

IFS=':' read -ra PACKAGE_ID <<< "$list_bsp_packages:$list_packages"
for package_id in ${PACKAGE_ID[@]}; do
	# Construct the list of additional sub-packages to load
	package_name=${package_id%%_*}
	package_vers=${package_id#${package_name}_}
	name=${package_name//-/_}
	subpkg_name=$(shell_variable_name ${name}_subpackages)
	subpackages="${!subpkg_name:-$generic_subpackages} \
	             ${global_additional_subpackages} \
	             ${platform_additional_subpackages} \
	             ${rootfs_additional_subpackages}"
	rootfs_optional_subpackages=$(
		for subpkg in $subpackages; do
			echo $subpkg
		done | sort | uniq | grep -v '^base$'
	)
	# Now require the listed package and its optional subpackages
	require_packages ${package_id}
done

# Configure dynamic linker runtime binding
log_exec ldconfig -r $ROOTFS_LOC

do_buildstep_append
